Subject: [netconf] [Technical Errata Reported] RFC5277 (6770)

From: RFC Errata System <[email-masked]>
Date: Wed, 1 Dec 2021 08:15:31 -0800 (PST)

The following errata report has been submitted for RFC5277,
"NETCONF Event Notifications".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6770

--------------------------------------
Type: Technical
Reported by: Tetsuya Hasegawa <[email-masked]>

Section: 4

Original Text
-------------
4.  XML Schema for Event Notification

Corrected Text
--------------
Add a new section "YANG Module for Event Notifications".

Notes
-----
The XML schema for notifications is defined, but the yang module is not. To achieve interoperability, please add a YANG module for notifications.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5277 (draft-ietf-netconf-notification-14)
--------------------------------------
Title               : NETCONF Event Notifications
Publication Date    : July 2008
Author(s)           : S. Chisholm, H. Trevino
Category            : PROPOSED STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Andy Bierman <[email-masked]>
Date: Wed, 1 Dec 2021 08:35:01 -0800

Hi,

This errata should be rejected.
There is no YANG module for the NETCONF <notification> defined anywhere.
There is no standard YANG module for the <create-subscription> operation.

1) RFC 5277 predates RFC 6020, so YANG is not normative in RFC 5277.
Use the update in RFC 8639.

2) It is not possible to model the <notification> element in YANG.

3) A new RFC is required to add new functionality. This is not a bugfix
suitable for an Errata.

Andy

On Wed, Dec 1, 2021 at 8:15 AM RFC Errata System <[email-masked]>
wrote:

> The XML schema for notifications is defined, but the yang module is not.
> To achieve interoperability, please add a YANG module for notifications.
>
> Instructions:
> -------------
> _______________________________________________
> netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Wed, 1 Dec 2021 17:26:56 +0000

Hi Andy, Tetsuya,

Thanks for the quick discussion/closure.  I have rejected this errata.

Regards,
Rob

From: hasegawa <[email-masked]>
Sent: 01 December 2021 17:12
To: Andy Bierman <[email-masked]>
Cc: RFC Errata System <[email-masked]>; [email-masked]; Hector Trevino (htrevino) <[email-masked]>; Warren Kumari <[email-masked]>; Rob Wilton (rwilton) <[email-masked]>; Kent Watsen <[email-masked]>; Mahesh Jethanandani <[email-masked]>; Netconf <[email-masked]>
Subject: Re: [netconf] [Technical Errata Reported] RFC5277 (6770)

Thank you for your explanation. I understand.

2021年12月2日(木) 1:35 Andy Bierman <[email-masked]<mailto:[email-masked]>>:
Hi,

Andy

On Wed, Dec 1, 2021 at 8:15 AM RFC Errata System <[email-masked]<mailto:[email-masked]>> wrote:
The following errata report has been submitted for RFC5277,
"NETCONF Event Notifications".

--------------------------------------
Type: Technical
Reported by: Tetsuya Hasegawa <[email-masked]<mailto:[email-masked]>>

Section: 4

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------

_______________________________________________
netconf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netconf